.root {
  background: #ebeae3;
  color: var(--dark-text-color);
}
.root,
#section1 {
  position: relative;
}
#section1 h1 {
  font-size: 6vw;
}
.section1-text,
.quote .quote-icon,
.toggle,
.check-box {
  position: absolute;
}
.section1-text,
.section1-text .quote,
#section2,
#section2 .text,
#section2 .paragraphs,
#section3 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.section1-text,
.section1-text .quote {
  width: 80%;
}
.section1-text {
  color: var(--text-color);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  justify-content: space-evenly;
}
.section1-text h1,
.section1-text .quote {
  margin: 5rem 2rem;
}
.section1-text .quote {
  text-align: center;
  font-size: 1.7vw;
  height: 8rem;
  background: #301e13;
  opacity: 0.9;
  position: relative;
  padding: 0 1rem 0 1rem;
  border-radius: 17% 17%;
}
.quote-icon {
  height: 3rem;
  width: auto;
}
.icon1 {
  top: -1rem;
  left: -1rem;
}
.icon2 {
  bottom: -1rem;
  right: -1rem;
}
.toggle,
.check-box {
  display: none;
}
.video-container {
  min-width: 100vw;
}
#video {
  width: 100%;
  height: 100%;
}
#section2 {
  flex-direction: row;
  align-items: unset;
  justify-content: unset;
  min-height: 170vh;
  padding: 2rem 0 0 0;
}
#section2 .text,
#section2 .images {
  max-width: 50%;
}
#section2 .text,
#section2 .text .paragraphs {
  justify-content: space-evenly;
  align-items: center;
  width: 75%;
}
#section2 .text h1 {
  text-align: left;
  width: 75%;
}
#section2 .paragraphs {
  line-height: 1.7;
  font-size: 1.4vw;
}
#section2 .paragraphs p {
  padding: 0.8rem 0;
}
#section2 .paragraphs p:first-child {
  padding: 1rem 0 0 0;
}
#section2 .paragraphs p:last-child {
  padding: 0 0 1rem 0;
}
#section2 .images {
  width: 50vw;
  position: relative;
}
#section2 .images img {
  position: absolute;
}
#lightning {
  width: 14vw;
  right: 10%;
  top: 7%;
}
#wave {
  left: 2%;
  top: 12%;
  width: 26vw;
  height: auto;
}
#beach1 {
  bottom: 43%;
  right: 10%;
}
#beach2 {
  bottom: 18%;
  right: 25%;
}
#section3 {
  min-height: 35vh;
  width: 100%;
  flex-direction: row;
  justify-content: space-evenly;
  padding: 1rem 0 13rem 0;
  background: var(--text-color);
}
#section3 p {
  line-height: 1.5;
}
#section3 img {
  width: 30vw;
  height: auto;
}

@media screen and (max-width: 1100px) {
  #beach1,
  #beach2 {
    width: 40vw;
  }
}
@media screen and (max-width: 1030px) {
  #section2 .text .paragraphs {
    font-size: 1.6vw;
  }
}
@media screen and (max-width: 890px) {
  #section2 .text .paragraphs {
    font-size: 1.7vw;
  }
  #beach1 {
    bottom: 43%;
    right: 15%;
  }
  #beach2 {
    bottom: 18%;
    right: 15%;
  }
  #section3 p {
    font-size: 1.8vw;
  }
}
@media screen and (max-width: 800px) {
  .section1-text h1,
  .section1-text .quote {
    margin: 2rem 0rem;
  }
}
@media screen and (max-width: 780px) {
  #section2 .text .paragraphs {
    font-size: 2vw;
    width: 80%;
  }
}
@media screen and (max-width: 650px) {
  .section1-text .quote {
    height: 6rem;
  }
  .quote-icon {
    height: 2rem;
  }
  .icon1 {
    top: -0.5rem;
    left: -0.5rem;
  }
  .icon2 {
    bottom: -0.5rem;
    right: -0.5rem;
  }
  #section2 .text .paragraphs {
    font-size: 2.4vw;
    height: auto;
  }
}
@media screen and (max-width: 570px) {
  .section1-text .quote {
    height: 8.8rem;
    width: 110%;
    font-size: 3.2vw;
    margin: 1rem 0 0 0;
    top: 6rem;
    padding: 0 0 0.5rem 0;
  }
  .section1-text .quote p {
    width: 85%;
  }
  #section1 .section1-text h1 {
    margin: 0;
    font-size: 7vw;
  }
  .exit,
  .check-box {
    display: block;
    cursor: pointer;
    width: 1.5rem;
    height: auto;
    bottom: 0.3rem;
  }
  .check-box {
    height: 1.5rem;
  }
  #section2 {
    margin-top: 8rem;
    flex-direction: column;
    align-items: center;
    min-height: 250vh;
    padding: 0 0 4rem 0;
  }
  #section2 .text {
    max-width: 100%;
  }
  #section2 .text h1 {
    font-size: 5vw;
    width: auto;
  }
  #section2 .text .paragraphs {
    font-size: 4vw;
    width: 85vw;
  }
  #section2 .images,
  #section3 {
    display: flex;
    flex-direction: column;
  }
  #section2 .images {
    min-height: 100vh;
  }
  #section2 .images img {
    position: unset;
    align-self: center;
    margin: 1rem 0 0 0;
  }
  #section2 .images img:not(#lightning) {
    width: 70vw;
  }
  #lightning {
    width: 35vw;
  }
  #section3 {
    height: 35rem;
  }
  #section3 > * {
    font-size: 7vw;
  }
  #section3 p {
    font-size: 4vw;
  }
  #section3 img {
    width: 50vw;
  }
}
@media screen and (max-width: 400px) {
  #section1 .section1-text h1 {
    margin: 3.5rem 0 0 0;
  }
  .section1-text .quote {
    top: 0;
  }
  #section2 {
    margin-top: 2rem;
  }
  #section3 {
    height: 30rem;
  }
}
@media screen and (max-width: 380px) {
  .section1-text .quote {
    height: 10rem;
    font-size: 3.8vw;
    line-height: 1.5;
  }
  #section2 {
    margin-top: 4rem;
  }
}
